## org.eclipse.emf.ecore.resource.impl
Interface URIConverterImpl.URIMap

All Superinterfaces:
  ExtensibleURIConverterImpl.URIMap, java.util.Map<URI,URI>

All Known Implementing Classes:
  URIMappingRegistryImpl.URIMapImpl

Enclosing class:
  URIConverterImpl

Deprecated. since 2.4 use `ExtensibleURIConverterImpl.URIMap` instead.

    @Deprecated
    public static interface URIConverterImpl.URIMap

extends ExtensibleURIConverterImpl.URIMap

A map that remaps URIs.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Method Summary

Methods inherited from interface org.eclipse.emf.ecore.resource.impl.ExtensibleURIConverterImpl.URIMap
`getURI`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.